package com.xunmei.system.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.xunmei.common.core.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 sys_nfc_bind
 *
 * @author xunmei
 * @date 2023-08-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_nfc_bind")
@ApiModel(value = "SysNfcBind对象", description = "【请填写功能名称】")
public class SysNfcBind extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 区域
     */
    @ApiModelProperty(value = "区域")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long areaId;
    @ApiModelProperty(value = "区域名称")
    private String areaName;
    /**
     * 0 禁用, 1启用
     */
    @ApiModelProperty(value = "0 禁用, 1启用")
    private String enable;
    /**
     * 0   删除标志（0代表存在 2代表删除）
     */

    private String delFlag;
    /**
     * 设备编码
     */
    @ApiModelProperty(value = "标签编号")
    private String code;

    /**
     * 最后修改人id
     */
    @ApiModelProperty(value = "最后修改人id")
    private Long updateId;

    /**
     * 机构
     */
    @ApiModelProperty(value = "机构")
    private Long orgId;

    /**
     * 机构名称
     */
    @ApiModelProperty(value = "机构名称")
    private String orgName;

    /**
     * 机构
     */
    @ApiModelProperty(value = "机构")
    private String orgPath;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "${comment}", notes = "$column.readConverterExp()")
    private String collectionAreaName;

    /**
     * t_area_check 主键id
     */
    @ApiModelProperty(value = "t_area_check 主键id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long checkId;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)


                .append("id", getId())


                .append("areaId", getAreaId())


                .append("enable", getEnable())


                .append("code", getCode())


                .append("createTime", getCreateTime())


                .append("updateId", getUpdateId())


                .append("updateBy", getUpdateBy())


                .append("updateTime", getUpdateTime())


                .append("orgId", getOrgId())


                .append("orgName", getOrgName())


                .append("orgPath", getOrgPath())


                .append("collectionAreaName", getCollectionAreaName())


                .append("checkId", getCheckId())
                .toString();
    }
}
